body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body.dark-mode {
    background-color: #191919;
    color: #ffffff;
}
body.dark-mode header{
    background-color: #141414;
    border-bottom: 2px solid #2c3e50;
}
body.dark-mode .pages-button{
    background-color: #8b0000;
    color: #dfdfc9;
}
body.dark-mode .pages-button:hover{
    background-color: #dfdfc9;
    color: #8b0000;

}

header{
    background-color: #f5f5dc;
    height: 100px;
    width:100%;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding-top: 10px;
    border-bottom: 2px solid #dfdfc9;
}
.logoContainer{
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 12%;
    white-space: nowrap;
    user-select: none;
    -webkit-user-select: none;
    -webkit-user-drag: none;
}
.logo {
    height: 80px;
    pointer-events: none;
}
.logoContainer h1{
    cursor: default;

    color: #8b0000;
    font-family: 'Michroma',cursive;
    font-size: 30px;
    font-weight: bold;
    display: inline-block;
    transform: scaleX(0.7);
    transform-origin: left;
    letter-spacing: -1px;
}

.headerContainer{
    display: flex;
    background-color: lime;
}

.lowerBody{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 877px;
    margin: 0;
    transition: background-color 0.3s, color 0.3s;
}

.pages-switch-container{
    position: absolute;
    bottom: 20px;
    right: 20px;
}

.pages-button{
    font-family: 'Michroma',cursive;
    background-color: #dfdfc9;
    border-radius: 5px;
    padding: 10px;
    margin-left: 15px;
    color:#8b0000;
    border: none;
}
.pages-button:hover{
    background-color: #8b0000;
    color: #dfdfc9;

}


/*▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓*\
▓▓▓▓▓▓▓▓▓   Rise and Shine   ▓▓▓▓▓▓▓▓▓
\*▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓*/


.theme-switch-container {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0; left: 0; right: 0; bottom: 0;
    background-color: #ccc;
    transition: .4s;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 5px;
    border-radius: 34px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: .4s;
    z-index: 2;
    border-radius: 50%;
}

input:checked + .slider {
    background-color: #2c3e50;
}

input:checked + .slider:before {
    transform: translateX(26px);
}

.icon {
    font-size: 14px;
    user-select: none;
}


/*▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓*\
▓▓▓▓▓▓▓    SHAKE SHAKE SHAKE   ▓▓▓▓▓▓▓
\*▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓*/
@keyframes shake {
    10%, 90% { transform: translate3d(-1px, 0, 0); }
    20%, 80% { transform: translate3d(2px, 0, 0); }
    30%, 50%, 70% { transform: translate3d(-4px, 0, 0); }
    40%, 60% { transform: translate3d(4px, 0, 0); }
}
.shake {
    animation: shake 0.4s cubic-bezier(.36,.07,.19,.97) both;
    transform: translate3d(0, 0, 0);
    backface-visibility: hidden;
    perspective: 1000px;
}